### Objectclasses

Objectclass Name | OID | Parent | Required Attributes | Allowed Attributes | Action
--- | --- | --- | --- | --- | ---
uiPerson | 1.1.1.1.1.1.1.1.1.1 | top | cn | sn uid givenname description userpassword longDescription certificateRevocationList more |
uiGroup | 1.1.1.1.1.1.1.1.1.2 | top | cn | sn member |
uiContainer | 1.1.1.1.1.1.1.1.1.3 | top | cn | sn uid description |

### Attributes

Attribute Name | OID | Syntax | Multivalued | Equality Rules | Ordering Rules | Substring Rules | Action
--- | --- | --- | --- | --- | --- | --- | ---
ssn | 1.1.1.1.1.1.1.2 | DirectoryString | no |  |  |  |

### Matching Rules

Matching Rule Name | OID | Syntax | Description
--- | --- | --- | ---
equality | 9.5.6.7.3.5.4.45.54.4 | DirectoryString | My really long description for some reason"
equality-2 | 999.5.6.7.3.5.4.45.54.4 | DirectoryString | My really long description for some reason again geez...

#### Add Attribute

Attribute Name
Attribute Syntax
Attribute Multi-Valued
Attribute Description
Attribute OID
Attribute Alias
Equality Matching Rule
Ordering Matching Rule
Substring Matching Rule

#### Add Objectclass

Objectclass Name
OID (optional)
Parent Objectclass

Available Attributes

Required Attributes

Allowed Attributes